#
# spec file for package optee-client
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libteec1
Name:           optee-client
Version:        3.1.0
Release:        bp153.1.16
Summary:        A Trusted Execution Environment client
License:        BSD-2-Clause
Group:          System/Boot
URL:            https://github.com/OP-TEE/optee_client
Source:         https://github.com/OP-TEE/optee_client/archive/%{version}.tar.gz#/optee_client-%{version}.tar.gz
Patch0:         optee-libname.patch
BuildRequires:  cmake

%description
This component provides the TEE Client API as defined by the
GlobalPlatform TEE standard. For a general overview of OP-TEE, the
Open Platform Trusted Execution Environment, see the Notice.md file.

%package -n %{libname}
Summary:        Library implementing TEE Client API
Group:          System/Libraries

%description -n %{libname}
This component provides the TEE Client API as defined by the
GlobalPlatform TEE standard. For a general overview of OP-TEE, the
Open Platform Trusted Execution Environment, see the Notice.md file.

%package devel
Summary:        Files for Developing with libtee
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
This component provides the TEE Client API as defined by the GlobalPlatform
TEE standard. For a general overview of OP-TEE, please see the Notice.md file.

This package contains the libvisio development files.

%prep
%setup -q -n optee_client-%{version}
%patch0 -p1

sed -i \
    -e "s:-Werror ::g" \
    CMakeLists.txt

%build
%cmake
make %{?_smp_mflags} V=1

%install
%cmake_install
# Wrongly installed file
rm %{buildroot}%{_includedir}/CMakeLists.txt

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md Notice.md
%{_sbindir}/tee-supplicant

%files devel
%{_includedir}/*.h
%{_libdir}/libteec.so

%files -n %{libname}
%{_libdir}/libteec.so.*

%changelog
* Mon Jun 18 2018 tchvatal@suse.com
- Disable Werror
* Wed Jun 13 2018 jengelh@inai.de
- Move location of OP acronym expansion into description.
* Sun Jun 10 2018 jengelh@inai.de
- Expand OP-TEE in summary.
* Sat Jun  9 2018 afaerber@suse.de
- Rename tarball
- Build with V=1
* Mon May 28 2018 tchvatal@suse.com
- Add patch to fix soname optee-libname.patch
* Mon May 28 2018 tchvatal@suse.com
- Initial commit fate#325317
